## Index

### Variables

- mapperForType

### Functions

- createKeyAttributes
- createToKeyFn
- forType
- fromDb
- fromDbOne
- getPropertyValue
- testForKey
- toDb
- toDbOne
- toKey

## Variables

### Const mapperForType

mapperForType: Map<AttributeValueType, MapperForType<any, any>> = new Map()

- Defined in mapper/mapper.ts:20

## Functions

### createKeyAttributes

- createKeyAttributes<T>(metadata: Metadata<T>, partitionKey: any, sortKey?: any): Attributes<Partial<T>>

- - Defined in mapper/mapper.ts:151

  #### Type parameters

  - #### T

  #### Parameters

  - ##### metadata: Metadata<T>

  - ##### partitionKey: any

  - ##### Optional sortKey: any

  #### Returns Attributes<Partial<T>>

### createToKeyFn

- createToKeyFn<T>(modelConstructor: ModelConstructor<T>): function

- - Defined in mapper/mapper.ts:124

  returns the function for the given ModelConstructor to create the AttributeMap with HASH (and RANGE) Key of a given item. used to delete items

  #### Type parameters

  - #### T

  #### Parameters

  - ##### modelConstructor: ModelConstructor<T>

  #### Returns function

  - - (item: Partial<T>): Attributes<T>

    - #### Parameters

      - ##### item: Partial<T>

      #### Returns Attributes<T>

### forType

- forType(type: AttributeValueType): MapperForType<any, Attribute>

- - Defined in mapper/mapper.ts:246

  #### Parameters

  - ##### type: AttributeValueType

  #### Returns MapperForType<any, Attribute>

### fromDb

- fromDb<T>(attributeMap: Attributes<T>, modelClass?: ModelConstructor<T>): T

- - Defined in mapper/mapper.ts:173

  #### Type parameters

  - #### T

  #### Parameters

  - ##### attributeMap: Attributes<T>

  - ##### Optional modelClass: ModelConstructor<T>

  #### Returns T

### fromDbOne

- fromDbOne<T>(attributeValue: Attribute, propertyMetadata?: PropertyMetadata<any, any>): T

- - Defined in mapper/mapper.ts:232

  #### Type parameters

  - #### T

  #### Parameters

  - ##### attributeValue: Attribute

  - ##### Optional propertyMetadata: PropertyMetadata<any, any>

  #### Returns T

### getPropertyValue

- getPropertyValue(item: any, propertyKey: PropertyKey): any

- - Defined in mapper/mapper.ts:291

  #### Parameters

  - ##### item: any

  - ##### propertyKey: PropertyKey

  #### Returns any

### testForKey

- testForKey<T>(p: PropertyMetadata<T>): boolean

- - Defined in mapper/mapper.ts:116

  #### Type parameters

  - #### T

  #### Parameters

  - ##### p: PropertyMetadata<T>

  #### Returns boolean

### toDb

- toDb<T>(item: T, modelConstructor?: ModelConstructor<T>): Attributes<T>

- - Defined in mapper/mapper.ts:22

  #### Type parameters

  - #### T

  #### Parameters

  - ##### item: T

  - ##### Optional modelConstructor: ModelConstructor<T>

  #### Returns Attributes<T>

### toDbOne

- toDbOne(propertyValue: any, propertyMetadata?: PropertyMetadata<any>): Attribute | null

- - Defined in mapper/mapper.ts:86

  #### Parameters

  - ##### propertyValue: any

  - ##### Optional propertyMetadata: PropertyMetadata<any>

  #### Returns Attribute | null

### toKey

- toKey<T>(item: T, modelConstructor: ModelConstructor<T>): Attributes<T>

- - Defined in mapper/mapper.ts:147

  #### Type parameters

  - #### T

  #### Parameters

  - ##### item: T

  - ##### modelConstructor: ModelConstructor<T>

  #### Returns Attributes<T>

Generated using TypeDoc